/*
 * =====================================================================================
 *
 *       Filename:  main.c
 *
 *    Description:  Emulator main loop 
 *
 *        Version:  1.0
 *        Created:  2023-09-21 09:50:34 PM
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  William Nolin, 
 *   Organization:  
 *
 * =====================================================================================
 */
#include <stdlib.h>
#include <log.h>

#include "include/rom.h"
#include "include/system.h"

int main() {
    log_set_level(LOG_INFO);

    char *rom_path = "../test_roms/nestest.nes";
    System system;

    system_init(&system);

    if (!rom_load(rom_path, &system)) {
        system_uninit(&system);
        return EXIT_FAILURE;
    }

    system_start(&system);
    system_loop(&system);
    system_uninit(&system);

    return EXIT_SUCCESS;
}